<ion-content [fullscreen]="true" id="recaptcha-container">
<div class="flex items-center min-h-screen">
  <div class="flex flex-col w-full max-w-sm px-4 py-12 mx-auto">
    <div class="flex justify-center mb-10">
      <img src="/assets/images/logo.png" alt="" class="w-24" />
    </div> 
    <div class="mb-6">
      <p class="font-semibold leading-7">플랜비즈로 시작해 보세요</p>
      <p class="text-sm text-neutral-600">쉽고 편리하고 효율적으로 프로젝트를 관리해 보세요</p>
    </div>
    <form [formGroup]="formGroup" class="text-sm [&>app-input-label]:mb-6">   
      <app-input-label w="full" [labelText]="'이름'"
      [message]="formGroup.get('username')?.value && formGroup.get('username')?.invalid ? '2~12자리 입력해주세요' : ''"
      [color]="formGroup.get('username')?.invalid ? 'error' : 'primary'">
      <input class="w-full" type="text" placeholder="이름" formControlName="username" />
    </app-input-label>  
    <app-input-label w="full" [labelText]="'이메일'"
      [message]="formGroup.get('email')?.value && formGroup.get('email')?.invalid ? '올바른 이메일 형식으로 입력해주세요' : ''"
      [color]="formGroup.get('email')?.invalid ? 'error' : 'primary'">
      <input class="w-full" type="email" placeholder="이메일" formControlName="email" />
    </app-input-label>  
    <app-input-label w="full" [labelText]="'비밀번호'"
      [message]="formGroup.get('password')?.value && formGroup.get('password')?.invalid ? '비밀번호는 8~15자리의 영문, 숫자, 특수문자를 포함해주세요' : ''"
      [color]="formGroup.get('password')?.invalid ? 'error' : 'primary'">
      <input class="w-full" type="password" placeholder="비밀번호" formControlName="password" />
    </app-input-label> 
    <app-input-label w="full" [labelText]="'비밀번호 확인'"
      [message]="formGroup.get('rePassword')?.value && formGroup.get('rePassword')?.invalid ? '비밀번호는 8~15자리의 영문, 숫자, 특수문자를 포함해주세요' : ''"
      [color]="formGroup.get('rePassword')?.invalid ? 'error' : 'primary'">
      <input class="w-full" type="password" placeholder="비밀번호 확인" formControlName="rePassword" />
    </app-input-label>
      <div class="mb-3">
        <div class="flex">
          <input type="checkbox" class="mr-3 mt-0.5 h-4 w-4 rounded accent-primary" formControlName="isAgreed"/>
          <div class="text-neutral-600"><a class="font-semibold text-primary hover:text-primaryTint" routerLink="/">서비스 이용약관</a> 및 <a class="font-semibold text-primary hover:text-primaryTint" routerLink="/">개인정보 처리방침</a>을 확인 하였고 동의 합니다</div>
        </div>
      </div>
      @if(formGroup.invalid || (formGroup.get('password')?.value !== formGroup.get('rePassword')?.value|| !formGroup.get('isAgreed')?.value)){
        <app-button [color]="'neutral70'">회원가입</app-button> 
      }@else {
        <app-button (click)="onSignUp()">회원가입</app-button> 
      } 
      <div class="mt-10 space-x-1 text-center">
        <span class="text-neutral50">기존에 사용하시던 계정이 있으신가요?</span>
        <a routerLink="/signin" class="font-semibold text-primary hover:text-primaryTint" (click)="onSignUp()">로그인</a>
      </div>
    </form>
  </div>
</div>
</ion-content>